Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-62327

Moodle 3.3 not compatible with PHP 7.2.5

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 3.3.5
    • Fix Version/s: None
    • Component/s: Administration
    • Labels:
      None
    • Affected Branches:
      MOODLE_33_STABLE

      Description

      Moodle 3.3.5+ (latest version)

      PHP 7.2.5

       

      Every functions and pages will throw error "cannot use 'object' as class name as it is reserved". However, Moodle 3.4 works well. 

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              haroldyung Harold Yung
              Participants:
              Component watchers:
              Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: